Bug 1123546 - Review Request: perl-DateTime-Incomplete - Representing partial dates and times
Summary: Review Request: perl-DateTime-Incomplete - Representing partial dates and times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123583
TreeView+ depends on / blocked
 
Reported: 2014-07-26 05:32 UTC by David Dick
Modified: 2014-08-16 00:33 UTC (History)
2 users (show)

Fixed In Version: perl-DateTime-Incomplete-0.07-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:33:35 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-26 05:32:42 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-DateTime-Incomplete.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-DateTime-Incomplete-0.07-1.fc20.src.rpm
Description: Representing partial dates and times
Fedora Account System Username: ddick

Comment 2 Petr Šabata 2014-07-28 12:36:15 UTC
The standalone and SRPM spec files differ.

Comment 3 David Dick 2014-07-28 20:52:47 UTC
fixed.

Comment 4 David Dick 2014-07-30 08:32:34 UTC
just a ping on this one?

Comment 5 Petr Šabata 2014-07-30 13:46:28 UTC
Missing BR: utf8 (t/13strftime.t)

The autodetected DateTime::Set version requirement will always overrule yours as RPM compares versions a bit differently (0.0901 > 0.15).  Given that the minimum required version is extremely old and DateTime::Set uses four-digit versions in Rawhide but only two-digit version in stable branches, to avoid any trouble I'd filter out the specific version dependency completely and require generic, unversioned DateTime::Set instead.

Comment 6 David Dick 2014-07-30 20:44:07 UTC
Fixed and uploaded.

Comment 7 Petr Šabata 2014-07-31 11:21:08 UTC
Good enough for Rawhide.  Approving.

If you want this in f20 or el*, filter out the autodetected `perl(DateTime::Set) >= 0.0901' dependency as mentioned in comment #5.

Comment 8 David Dick 2014-08-01 10:44:45 UTC
Thanks Petr!  I've updated the dependencies

New Package SCM Request
=======================
Package Name: perl-DateTime-Incomplete
Short Description: Representing partial dates and times
Upstream URL: http://search.cpan.org/dist/DateTime-Incomplete/
Owners: ddick
Branches: f20, f21, epel7, el6
InitialCC: perl-sig

 -

Comment 9 Gwyn Ciesla 2014-08-01 12:14:50 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-08-01 23:17:00 UTC
perl-DateTime-Incomplete-0.07-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DateTime-Incomplete-0.07-1.fc20

Comment 11 Fedora Update System 2014-08-01 23:23:12 UTC
perl-DateTime-Incomplete-0.07-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-DateTime-Incomplete-0.07-1.el6

Comment 12 Fedora Update System 2014-08-02 16:21:51 UTC
perl-DateTime-Incomplete-0.07-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2014-08-04 20:37:47 UTC
perl-DateTime-Incomplete-0.07-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DateTime-Incomplete-0.07-2.fc20

Comment 14 Fedora Update System 2014-08-04 21:51:51 UTC
perl-DateTime-Incomplete-0.07-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DateTime-Incomplete-0.07-3.fc20

Comment 15 Fedora Update System 2014-08-16 00:33:35 UTC
perl-DateTime-Incomplete-0.07-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.